Package com.usatiuk.utils

# Class DataLocker

java.lang.Object
com.usatiuk.utils.DataLocker

public class DataLocker extends Object

## Constructor Summary

Constructors
Constructor
Description
`DataLocker()`

## Method Summary

Modifier and Type
Method
Description
`AutoCloseableNoThrow`
`lock(Object data)`
`AutoCloseableNoThrow`
`tryLock(Object data)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DataLocker

public DataLocker()

## Method Details

### lock

@Nonnull public AutoCloseableNoThrow lock(Object data)

### tryLock

@Nullable public AutoCloseableNoThrow tryLock(Object data)